QGIS Application - Bug report #4480
Increase/decrease priority in rule-based rendering
2011-11-01 09:46 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 14407
Description

The buttons Increase/decrease priority in rule-based rendering do not work

History

#1 - 2011-12-16 02:10 PM - Giovanni Manghi
- Target version set to Version 1.7.4

#2 - 2011-12-29 01:35 AM - Richard Duivenvoorde

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

hi Paolo,

I'm actually busy with this, because using it it appeared that the decreasing and increasing buttons were workinge (in my view), but the selection

disappeared every time from the selected item.

Besides that it was possible to select multiple items while all buttons only work when just one item is selected.

I have finished that (will do pull request today), but if you give scenario (and data?) for how it is NOT working for you, | can maybe also have a look into

that.

#3 - 2011-12-29 01:44 AM - Paolo Cavallini

Load a vector, create two rules, select one, press decrease/increase priority buttons: no effect.

Thanks.

#4 - 2011-12-29 02:31 AM - Richard Duivenvoorde

- File test.zip added

It is working for me.

See attached project+data+style.

If you load that project you have a layer with some points and three rules.

first make sure you UNcheck 'Use only first matched rule’ then:
4+ You will see green and red dots (NO blue).

Blue has prio 1 meaning all dots will be painted blue FIRST, but then the two other rules paint it red/green
2 If you decrease prio of (no filter) to 3 (in your qgis clicking on rule, click decrease, click on rule again, decrease; in mine (fixed) | just click decrease
twice).

Now you will see that dots are all bleu: because FIRST red green rules apply (have higher prio), then the last prio rule will apply, making them blue.

3 if you now CHECK 'Use only first matched rule' and Apply, you will see the red green dots again.

Because red and green have prio 1 and 2 and (no filter)/bleu has prio 3, only prio 1 and 2 will apply, and 3 is not applied anymore.

My conclusion: it just works :-)

If you do not agree, please show me a scenario which fails in your opinion (a little more clear then the one in comment #3 ;-) )

Otherwise, this bug can be closed

#5 - 2011-12-29 02:37 AM - Paolo Cavallini

Agreed, it works. Two minor confusing things though:

- the direction of the arrow is opposite to the actual displacement of the item

- once moved, focus on the item is lost

#6 - 2011-12-29 03:54 AM - Richard Duivenvoorde

| think | fixed all this in https://github.com/qgis/Quantum-GIS/pull/79

focus stays on selected item now

sort on priority once you used the 'increase/decrease priority' button (I did not want to make it the default sorting because priority is not always the main

target for a user)

Please test after pull 79 is honoured, and close this ticket if working

#7 - 2012-04-16 06:31 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#8 - 2012-05-12 04:37 AM - Alexander Bruy

- Status changed from Open to Feedback

Should be fixed by Martin's improvements for rule-based renderer

#9 - 2012-05-15 01:21 AM - Paolo Cavallini

- Status changed from Feedback to Closed

Files

test.zip 4.03 KB 2011-12-29 Richard Duivenvoorde
https://github.com/qgis/Quantum-GIS/pull/79

